curl --request GET \
--url 'https://api.stateset.com/api/v1/warranties/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "2-year manufacturer warranty covering defects in materials and workmanship",
"end_date": "2026-12-09T00:00:00Z",
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"product_id": "550e8400-e29b-41d4-a716-446655440000",
"start_date": "2024-12-09T00:00:00Z",
"status": "active",
"terms": "Covers manufacturing defects only. Does not cover damage from misuse, accidents, or unauthorized modifications.",
"updated_at": "2024-12-09T10:30:00Z",
"warranty_number": "WRN-2024-001234"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
GET /api/v1/warranties/{id}
GET /api/v1/warranties/{id}
GET
/
api
/
v1
/
warranties
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/warranties/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "2-year manufacturer warranty covering defects in materials and workmanship",
"end_date": "2026-12-09T00:00:00Z",
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"product_id": "550e8400-e29b-41d4-a716-446655440000",
"start_date": "2024-12-09T00:00:00Z",
"status": "active",
"terms": "Covers manufacturing defects only. Does not cover damage from misuse, accidents, or unauthorized modifications.",
"updated_at": "2024-12-09T10:30:00Z",
"warranty_number": "WRN-2024-001234"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string (uuid)
required
Warranty ID
Responses
ApiResponse_WarrantySummary
Warranty fetched
ErrorResponse
Warranty not found
curl --request GET \
--url 'https://api.stateset.com/api/v1/warranties/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"created_at": "2024-12-09T10:30:00Z",
"customer_id": "123e4567-e89b-12d3-a456-426614174000",
"description": "2-year manufacturer warranty covering defects in materials and workmanship",
"end_date": "2026-12-09T00:00:00Z",
"id": "aa0e8400-e29b-41d4-a716-446655440000",
"product_id": "550e8400-e29b-41d4-a716-446655440000",
"start_date": "2024-12-09T00:00:00Z",
"status": "active",
"terms": "Covers manufacturing defects only. Does not cover damage from misuse, accidents, or unauthorized modifications.",
"updated_at": "2024-12-09T10:30:00Z",
"warranty_number": "WRN-2024-001234"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI